From d38da66d61714e82af9f2ea7b3f4c8003f2be58f Mon Sep 17 00:00:00 2001
From: Shaily <shaily15297@yahoo.com>
Date: Feb 05 2018 14:33:19 +0000
Subject: [PATCH 13/32] Issues: Handle exception in PagureUser validator


---

diff --git a/hubs/utils/validators.py b/hubs/utils/validators.py
index 8da8e1c..f319188 100644
--- a/hubs/utils/validators.py
+++ b/hubs/utils/validators.py
@@ -109,10 +109,13 @@ def FMNContext(value):
 
 def PagureUser(value):
     """Fails if the Pagure username does not exist."""
-    response = requests.get("https://pagure.io/user/%s" % value, timeout=5)
-    if response.ok:
-        return value
-    raise ValueError('Invalid Pagure username: {}'.format(value))
+    try:
+        response = requests.get("/".join([PAGURE_URL, "user", value]), timeout=5)
+    except requests.exceptions.ReadTimeout:
+        raise ValueError("Could not connect to Pagure, please try again.")
+    if not response.ok:
+        raise ValueError('Invalid Pagure username: {}'.format(value))
+    return value
 
 
 def PagureRepo(value):

